import Api from "../../model/api";
import {getEventParam} from "../../utils/utils";

// README WISEWOODS
Component({
    properties: {
        show: Boolean,
        parentIds: String,
    },
    observers: {
        parentIds: async function (parentIds) {
            if (parentIds) {
                parentIds = parentIds.split(",");
                let picker = this.selectComponent(".picker");
                for (let i = 2; i < parentIds.length; i++) {//用户数据parentIds数组前两级忽略，前两级在省前面
                    this.setData({loading: true})
                    const res = await Api.getRegionList({parentId: parentIds[i]})
                    this.setData({loading: false})
                    res.data.unshift({name: ''})
                    if (i < 5) {//获取数据到街道4级  2 3 4
                        picker.setColumnValues(i - 1, res.data);
                    }
                    let columnValues = picker.getColumnValues(i - 2);
                    let index = columnValues.findIndex(item => item.id == parentIds[i])
                    picker.setColumnIndex(i - 2, index);
                }
            }
        }
    },
    data: {
        columns: [
            {values: []},
            {values: []},
            {values: []},
            {values: []},
        ],
        picker: null,
        loading: false
    },
    async attached() {
        this.setData({loading: true})
        const res = await Api.getRegionList({parentId: ''})
        this.setData({loading: false})
        res.data.unshift({name: ''})
        let picker = this.selectComponent(".picker");
        picker.setColumnValues(0, res.data);
        this.setData({picker})
    },
    methods: {
        async onChange(e) {
            const {picker, value, index} = getEventParam(e);
            if (index >= 3) {
                // toast(`选择了${value[index].name}-${value[index].id}`)
            } else {
                let id = value[index].id;
                this.setData({loading: true})
                const res = await Api.getRegionList({parentId: id})
                this.setData({loading: false})
                res.data.unshift({name: ''})
                picker.setColumnValues(index + 1, res.data);
                picker.setColumnIndex(index + 1, 0);
                for (let i = index + 2; i < 4; i++) {
                    picker.setColumnValues(i, []);
                    picker.setColumnIndex(i, 0);
                }
            }

        },
        onConfirm() {
            let values = this.selectComponent(".picker").getValues().filter(item => item && item.id);
            const codes = values.map(item => item.code);
            const ids = values.map(item => item.id);
            const name = values.map(item => item.name).join("/");
            this.triggerEvent("area", {codes, areaStr: name, ids})
            this.setData({
                show: false
            })
        },
        onCancel() {
            this.setData({
                show: false
            })
        },

    },

});
