import dayjs from "dayjs";

const getNowDate = () => {
    return dayjs().format("YYYYMMDD")
}

class Config {
    static BASE_URL = "https://edu.jiaxintech.com";
    static API = Config.BASE_URL + "/prod-api";//测试地址
    static HTML_API = Config.BASE_URL + "/wx_html/";//测试网页地址

    static NAMESPACE = "edu";//本地存储 命名空间
    static LOG_ENABLE = true;//日志开关，生产会自动关闭，主要是调试的时候动态开关
    static IM_LOG_LEVEL = 1;//IM日志等级
    static VERSION_CODE = 222;//版本号，设置成0 启用线上发布版本号
    static CD_TIME = 60 * 1000;//短信验证码时间
    static LIVE_CD_TIME = 30 * 1000;//直播互动超时时间

    static THEME_COLOR = "#FF4330";//主题色
    static APP_ID = '1';//后台app记录id
    static TEMPLATE_ID = '9';//后台结业证模板id
    static IMG_URL_PREFIX = 'https://edu-mp-img-1254259530.cos.ap-nanjing.myqcloud.com';//cos图片前缀
    static OPT_TIP = [
        "A", "B", "C", "D", "E", "F"
    ];

    static ERROR_REPEAT = 511;

    //用来处理不给用户显示的异常
    static ERROR_MSG = {
        '-100': "网络异常，请稍后重试",
        10001: '服务器开了个小差，请稍后重试'
    };
    static DICT = {
        TRAIN_DIRECTION: "sys_train_direct",//培训方向
        TRAIN_MODEL: "sys_train_form",//培训模式
        COURSE_TYPE: "sys_kc_type",//课程类型
        EXAMPLE_CATEGORY: "sys_example_type",//典型类型
        STUDENT_TYPE: "r_student_type",//学员类别
        SEX: "sys_user_sex",//学员性别
        EDU_EXP: "education_background",//教育背景
        NATION: "sys_nation",//民族
        SPECIALTY: "specialty",//专业
        SOCIAL_WORK_LEVEL: "social_work_level",//社工证等级
        ADVANTAGE: "advantage",//特长
        SOCIAL_WORK_YEAR: "social_work_year",//社区工作年限
        COMMUNITY_WORKER_TYPE: "community_worker_type",//社区工作 职务
        OTHER_WORKER_TYPE: "other_worker_type",//其他工作者 职务
        WIFI: "wifi_config",//wifi
    }
    static UPLOAD_PATH = {
        //班内互动
        'TEAM_INTERACTION': `community/teamInteraction/${getNowDate()}/`,
        //选树典型
        'COMMUNITY_EXAMPLE': `community/example/${getNowDate()}/`,
        //热点难点
        'COMMUNITY_FOCUSISSUES': `community/focusIssues/${getNowDate()}/`,
        //培训需求管理
        'COMMUNITY_MANAGEMENT': `community/management/${getNowDate()}/`,
        //班级文件
        'CLASS_DIR': 'education/team/',

        //学员登记表头像
        'STUDENT': 'resource/student/',
        //个人头像
        'AVATER': '',
        //其他文件
        'OTHER': ''
    }
}

export default Config
