import Tim from "./tim";

class Route {

    static getIndexUrl(scheduleId) {
        return `pages/index/index?guest=true&id=${scheduleId}`
    }

    static toLogin(events) {
        wx.navigateTo({
            url: '/pages/login/login',
            events
        })
    }

    static async toLive(type, title, scheduleId, eId, eduStuName, events) {
        wx.navigateTo({
            url: `/pages/live/live?type=${type}&title=${title}&scheduleId=${scheduleId}&eId=${eId}&eduStuName=${eduStuName}`,
            events
        })
    }

    static tocCommunityDetail(type, title, id, trainType, detail, item, isPre, events) {
        wx.navigateTo({
            url: `/pages/communityDetail/communityDetail?title=${title}&id=${id}&type=${type}&detail=${detail}&item=${item}&trainType=${trainType}&isPre=${isPre}`,
            events
        })
    }

    static toStuInfo(teamId, eduStuId, events) {
        wx.navigateTo({
            url: `/pages/studentInfo/studentInfo?teamId=${teamId}&eduStuId=${eduStuId}`,
            events
        })
    }

    static toEduDetail(teamId, isPre, events) {
        wx.navigateTo({
            url: `/pages/eduDetail/eduDetail?teamId=${teamId}&isPre=${isPre}`,
            events
        })
    }

    static toBookDetail(id, tag, events) {
        wx.navigateTo({
            url: `/pages/bookDetail/bookDetail?id=${id}&tag=${tag}`,
            events
        })
    }

    static toRocommandDetail(id, isComplete, events) {
        wx.navigateTo({
            url: `/pages/recommandDetail/recommandDetail?id=${id}&isComplete=${isComplete}`,
            events
        })
    }

    static toNews(type, id, title, eId, events) {
        wx.navigateTo({
            url: this.getNewsUrl(type, id, title, eId),
            events
        })
    }

    static getNewsUrl(type, id, title, eId) {
        return `/pages/news/news?type=${type}&id=${id}&title=${title}&eId=${eId}`
    }

    static toGraduation(isPre, detail, events) {
        wx.navigateTo({
            url: `/pages/graduation/graduation?isPre=${isPre}&detail=${detail}`,
            events
        })
    }


    static toChekIn(type, title, name, cId, teamId, eId, events) {
        wx.navigateTo({
            url: `/pages/checkIn/checkIn?type=${type}&title=${title}&name=${name}&cId=${cId}&teamId=${teamId}&eId=${eId}`,
            events
        })
    }


    static toScore(events) {
        wx.navigateTo({
            url: '/pages/score/score',
            events
        })
    }

    static toRegister(events) {
        wx.navigateTo({
            url: '/pages/register/register',
            events
        })
    }

    static toNotice(events) {
        wx.navigateTo({
            url: '/pages/notice/notice',
            events
        })
    }

    static toUserInfo(events) {
        wx.navigateTo({
            url: '/pages/userInfo/userInfo',
            events
        })
    }

    static toExam(events) {
        wx.navigateTo({
            url: '/pages/exam/exam',
            events
        })
    }

    static toQuestion(events) {
        wx.navigateTo({
            url: '/pages/question/question',
            events
        })
    }

    static toQuestionDetail(id, teamId, courseId, scheduleId, eduStuId, events) {
        wx.navigateTo({
            url: `/pages/questionDetail/questionDetail?id=${id}&teamId=${teamId}&courseId=${courseId}&scheduleId=${scheduleId}&eduStuId=${eduStuId}`,
            events
        })
    }

    static tocChangePhone(events) {
        wx.navigateTo({
            url: '/pages/changePhone/changePhone',
            events
        })
    }

    static toVideo(id, type, title, events) {
        wx.navigateTo({
            url: `/pages/video/video?id=${id}&type=${type}&title=${title}`,
            events
        })
    }

    static toScoreDetail(events) {
        wx.navigateTo({
            url: '/pages/scoreDetail/scoreDetail',
            events
        })
    }

    static tocCommunity(events) {
        wx.navigateTo({
            url: '/pages/community/community',
            events
        })
    }

    static toSchoolIntrouce(events) {
        wx.navigateTo({
            url: '/pages/schoolIntrouce/schoolIntrouce',
            events
        })
    }

    static toCommunityMessage(events) {
        wx.navigateTo({
            url: '/pages/communityMessage/communityMessage',
            events
        })
    }

    static toCommunityForm(type, teamId, eduStuId, eduStuName, events) {
        wx.navigateTo({
            url: `/pages/communityForm/communityForm?type=${type}&teamId=${teamId}&eduStuId=${eduStuId}&eduStuName=${eduStuName}`,
            events
        })
    }

    static toCourseDetail(type, id, detail, plan, events) {
        wx.navigateTo({
            url: `/pages/courseDetail/courseDetail?type=${type}&id=${id}&detail=${detail}&plan=${plan}`,
            events
        })
    }

    static toTeacher(id, events) {
        wx.navigateTo({
            url: `/pages/teacher/teacher?id=${id}`,
            events
        })
    }

    static toExamDetail(id, examId, stuId, events) {
        wx.navigateTo({
            url: `/pages/examDetail/examDetail?id=${id}&examId=${examId}&stuId=${stuId}`,
            events
        })
    }

    static toExamResult(id, stuId, score, events) {
        wx.navigateTo({
            url: `/pages/examResult/examResult?id=${id}&stuId=${stuId}&score=${score}`,
            events
        })
    }

    static toClassPanel(type, events) {
        wx.navigateTo({
            url: this.getClassPanelUrl(type),
            events
        })
    }

    static getClassPanelUrl(type) {
        return `/pages/classPanel/classPanel?type=${type}`
    }

    static toStudent(teamId, className, myStuId, events) {
        wx.navigateTo({
            url: `/pages/student/student?teamId=${teamId}&className=${className}&myStuId=${myStuId}`,
            events
        })
    }

    static toSLeep(id, picUrl, name, teamJobName, phone, sex, nationName, className, groupName, myStuId, events) {
        wx.navigateTo({
            url: `/pages/sleep/sleep?id=${id}&picUrl=${picUrl}&name=${name}&teamJobName=${teamJobName}&phone=${phone}&sex=${sex}&nationName=${nationName}&className=${className}&groupName=${groupName}&myStuId=${myStuId}`,
            events
        })
    }

    static toClassTeam(teamId, events) {
        wx.navigateTo({
            url: `/pages/classTeam/classTeam?teamId=${teamId}`,
            events
        })
    }

    static toStudentBook(teamId, index, events) {
        wx.navigateTo({
            url: `/pages/studentBook/studentBook?teamId=${teamId}&index=${index}`,
            events
        })
    }

    static toStudentBookList(teamId, events) {
        wx.navigateTo({
            url: `/pages/studentBookList/studentBookList?teamId=${teamId}`,
            events
        })
    }

    static toUploadFile(pid, title, teamId, events) {
        wx.navigateTo({
            url: `/pages/uploadFile/uploadFile?pid=${pid}&title=${title}&teamId=${teamId}`,
            events
        })
    }

    static toCertificate(detail, events) {
        wx.navigateTo({
            url: `/pages/certificate/certificate?detail=${detail}`,
            events
        })
    }

}

export default Route
