import Card from "../../model/card";
import {formatYMD2, getEventParam, promiseAllSettled, showLoading} from "../../utils/utils";
import {logicStatus} from "../../model/enum";
import Api from "../../model/api";


Page({
    data: {
        info: null,
        template: {
            drawWidth: 350,
            drawHeight: 484,
        },
        image: '',
        isGraduated: false,
        eInfo: {},
        isPCDeviceUnkonw: false,
    },
    async onLoad(options) {
        let app = getApp();
        let isPCDeviceUnkonw = app.globalData.isPCDeviceUnkonw;
        let detail = options.detail;
        let eInfo = JSON.parse(detail);
        this.setData({
            eInfo, isPCDeviceUnkonw
        });

        showLoading();
        const [template, res] = await Api.promiseAllSettled([Api.getTemplate(), Api.getStudentNum(eInfo.eduStuId)])
        wx.hideLoading();
        if (template) {
            this.setData({
                template: template.data,
            });
        }
        if (res && res.data.graduateType) {
            this.setData({
                isGraduated: true,
                info: new Card().palette(template.data,
                    res.data.graduateCode,
                    formatYMD2(eInfo.itemStart),
                    formatYMD2(eInfo.itemStart),
                    eInfo.eduStuName,
                    eInfo.itemName,
                    eInfo.isOnline),
            });
            if (eInfo.graduateType != res.data.graduateType) {
                const eventChannel = this.getOpenerEventChannel()
                eventChannel.emit('get');
            }
        }
    },
    async produce(e) {
        let eInfo = this.data.eInfo;
        const res = await Api.produceGradu(eInfo.eduStuId, eInfo.teamId,
            eInfo.isOnline ? logicStatus.YES : logicStatus.NO, true);
        const eventChannel = this.getOpenerEventChannel()
        eventChannel.emit('get');
        this.setData({
            isGraduated: true,
            info: new Card().palette(this.data.template,
                res.data,
                formatYMD2(eInfo.itemStart),
                formatYMD2(eInfo.itemStart),
                eInfo.eduStuName,
                eInfo.itemName,
                eInfo.isOnline),
        });
    },
    async save(e) {
        if (this.data.image && typeof this.data.image === 'string') {
            showLoading('保存中...')
            try {
                await wx.saveImageToPhotosAlbum({
                    filePath: this.data.image,
                })
            } catch (e) {
                console.log(e)
                if (e.errMsg === "saveImageToPhotosAlbum:fail auth deny") {
                    wx.showModal({
                        title: "提示",
                        content: "请点击右上角进入设置勾选相册后方可保存到相册",
                        showCancel: false
                    })
                }
            }
            wx.hideLoading()
        }
    },
    onImgOK(e) {
        this.imagePath = getEventParam(e, "path");
        this.setData({
            image: this.imagePath
        })
    },

})
