import {getDataSet, getEventParam} from "../../../../utils/utils";
import {communityDetailTypes, formTypes, logicStatus, verifyTypes} from "../../../../model/enum";
import Route from "../../../../model/route";

const tabs1 = [
    {title: "学员手册", icon: '/images/ic_project_info.png'},
    {title: "文件上传", icon: '/images/ic_project_file.png'},
    {title: "班级群", icon: '/images/ic_class_team.png'},
    {title: "结业", icon: '/images/ic_graduation.png'}
]
const tabs2 = [
    {title: "学员手册", icon: '/images/ic_project_info.png'},
    {title: "班级群", icon: '/images/ic_class_team.png'},
    {title: "结业", icon: '/images/ic_graduation.png'}
]

Component({
    properties: {
        isPre: {
            type: Number,
            value: logicStatus.NO
        },
        item: Object,
        students: Array,
        messageList: Array,
        isRefresh: Boolean,
        isLoading: Boolean,
        noMore: Boolean,
    },
    observers: {
        'isPre': async function (isPre) {
            if (isPre == logicStatus.YES) {
                this.setData({
                    tabs: tabs2
                })
            } else {
                this.setData({
                    tabs: tabs1
                })
            }
        }
    },
    data: {
        logicStatusEnum: logicStatus,
        tabs: tabs1,
    },
    methods: {
        toDetail(e) {
            let detail = JSON.stringify(getEventParam(e, "res"));
            let item = JSON.stringify(this.data.item);
            Route.tocCommunityDetail(communityDetailTypes.CLASS, "班级动态", "", "", detail, item,
                this.data.isPre)
        },
        checkIn(e) {
            if (this.data.item.isReport) {
                return;
            }
            Route.toChekIn(verifyTypes.REPORT, "报到", this.data.item.itemName, "", this.data.item.teamId, this.data.item.eduStuId)
        },
        toStudent(e) {
            Route.toStudent(this.data.item.teamId, this.data.item.teamName, this.data.item.eduStuId);
        },
        publishInfo(e) {
            Route.toCommunityForm(formTypes.DYNAMIC, this.data.item.teamId, this.data.item.eduStuId,
                this.data.item.eduStuName, {
                    publish: (res) => {
                        this.triggerEvent("publish", res)
                    }
                })
        },
        async toClickGrid(e) {
            const title = getDataSet(e, "title");
            if ('文件上传' == title) {
                Route.toUploadFile("", "文件上传", this.data.item.teamId)
            } else if ('结业' == title) {
                let detail = JSON.stringify(this.data.item);
                Route.toGraduation(this.data.isPre, detail, {
                    refresh: () => {
                        this.triggerEvent("refresh")
                    }
                })
            } else if ('班级群' == title) {
                Route.toClassTeam(this.data.item.teamId)
            } else if ('学员手册' == title) {
                Route.toStudentBookList(this.data.item.teamId)
            }
        },
    },
});
