import {getDataSet, getEventParam} from "../../../../utils/utils";
import Route from "../../../../model/route";
import {courseTypes, liveStatus} from "../../../../model/enum";

Component({
    properties: {
        isPre: {
            type: Number,
        },
        courseList: {
            type: Array
        },
        obj: {
            type: Object,
        },
    },
    data: {
        liveStatusEnum: liveStatus,
        courseTypesEnum: courseTypes
    },
    methods: {
        toLive(e) {
            if (this.data.isPre) {
                return;
            }
            let item = getDataSet(e, "item");
            let detail = JSON.stringify(this.data.obj);
            let plan = JSON.stringify(item);

            let type = "";
            if (item.courseType == courseTypes.RECORD) {
                type = courseTypes.RECORD;
            }

            if (item.isReplay && item.isLive && item.liveStatus == liveStatus.LIVEEND && type == "") {
                type = courseTypes.PLAYBACK;
            }

            if (item.isLive && type == "") {
                type = courseTypes.LIVE;
            }

            if (type == "") {
                type = courseTypes.OFFLINE;
            }

            Route.toCourseDetail(type, item.id, detail, plan, {
                refresh: () => {
                    this.triggerEvent("refresh")
                }
            });

        },
        selectDate(e) {
            this.triggerEvent("select", getEventParam(e))
        },
        refresh(e) {
            this.triggerEvent("refresh")
        }
    }


});
