import Api from "../../model/api";
import {getDataSet} from "../../utils/utils";
import {examTypes} from "../../model/enum";
import Route from "../../model/route";

const app = getApp();

app.Base({
    data: {
        type: examTypes.EXAM
    },
    toExam(e) {
        let item = getDataSet(e, "item");
        Route.toExamDetail(item.id, item.examId, item.stuId)
    },
    toShow(e) {
        let item = getDataSet(e, "item");
        Route.toExamResult(item.examId, item.stuId, item.fraction)
    },
    async requestData() {
        let res = await Api.getPaperList({
            pageNum: this.pageNum,
            pageSize: this.pageSize
        });
        return res;
    },
});
