import Api from "../../model/api";
import Config from "../../model/config";
import {questionTypes} from "../../model/enum";

Page({
    data: {
        exams: [],
        score: '',
    },
    async onLoad(options) {
        let id = options.id;
        let stuId = options.stuId;
        let score = options.score;

        let res = await Api.getPaperResult(id, stuId, true);

        let testQuestionsList = res.data.testQuestionsList;
        let exams = [
            ...(testQuestionsList.singleChoice || []),
            ...(testQuestionsList.multipleChoice || []),
            ...(testQuestionsList.qaq || []),

        ];
        exams.forEach(item => {
            if (item.questionType == questionTypes.SINGLE || item.questionType == questionTypes.MULTIPLE) {

                let okAnswers = item.testAnswerList.filter(
                    (item, index) => {
                        item.opt = Config.OPT_TIP[index];
                        return !item.isItCorrect
                    }
                );
                let myAnswers = item.testAnswerList.filter(
                    (item, index) => {
                        item.opt = Config.OPT_TIP[index];
                        return !item.status
                    }
                );
                item.okAnswers = okAnswers;
                item.myAnswers = myAnswers;

            } else if (item.questionType == questionTypes.WRITE) {
                let myAnswer = item.testAnswerList[0].qaqAnswer;
                item.myAnswer = myAnswer;
            }
        })

        this.setData({
            exams,
            score
        })

    }
});
