import {getDataSet, getEventParam, isMobile, toast} from "../../utils/utils";
import User from "../../model/user";
import Route from "../../model/route";

Page({
    data: {
        formData: {
            phone: '',
            verify: '',
        },
        isShowBack: true,
    },
    onLoad: function (options) {
    },
    async login(e) {
        if (!isMobile(this.data.formData.phone)) {
            toast('请输入正确的手机号')
            return;
        }

        if (!this.data.formData.verify.trim()) {
            toast('请输入验证码')
            return;
        }
        await User.loginByPhone(this.data.formData);
        const eventChannel = this.getOpenerEventChannel()
        eventChannel.emit('login');
        wx.navigateBack();
    },
    register() {
        Route.toRegister()
    },
    async loginByWechat(e) {
        await User.loginByWechat();
        const eventChannel = this.getOpenerEventChannel()
        eventChannel.emit('login', {isLogin: true});
        wx.navigateBack();
    },
    onChange(e) {
        const field = getDataSet(e, "field");
        this.setData({
            [field]: getEventParam(e)
        })
    },
    back() {
        const eventChannel = this.getOpenerEventChannel()
        eventChannel.emit('login', {isLogin: false});
        wx.navigateBack();
    }
});
