import Api from "../../model/api";
import {getEventParam} from "../../utils/utils";
import {logicStatus} from "../../model/enum";

Page({
    data: {
        show: false,
        id: '',
        info: {},
        arr: [],
        logicStatusEnum: logicStatus,
        isComplete: null
    },
    async onLoad(options) {
        let res = await Api.getRecommendInfo(options.id, true);
        this.setData({
            isComplete: options.isComplete,
            id: options.id,
            arr: res.data.rows[0],
        })
    },
    toNewsDetail(e) {
        this.setData({
            show: true
        })
    },
    async submit(e) {
        const res = await Api.signUp({
            ...getEventParam(e),
            teamId: this.data.id
        }, true);
        this.setData({
            isComplete: logicStatus.YES
        })
        const eventChannel = this.getOpenerEventChannel()
        eventChannel.emit('sign');
        await wx.showModal({
            title: '报名成功',
            showCancel: false,
        })
        wx.navigateBack()
    }
});
