import Api from "../../model/api";
import {getDataSet, getEventParam, isMobile, toast} from "../../utils/utils";
import Config from "../../model/config";

Page({
    data: {
        formData: {
            name: "",
            phone: "",
            verify: '',
            idCard: "",
            perType: -1,
            code: "",
        },
        errMsg: "",
        studentTypeData: []
    },
    async onLoad(options) {
        const res = await Api.getPulishDict(Config.DICT.STUDENT_TYPE);
        const studentTypeData = res.data;
        this.setData({studentTypeData})
    },
    onChange(e) {
        const field = getDataSet(e, "field");
        this.setData({
            [field]: getEventParam(e)
        })
    },
    changeStuAreaInfo(e) {
        const {perType, code, errMsg} = getEventParam(e);
        this.setData({
            "formData.perType": perType,
            "formData.code": code,
            errMsg
        })
    },
    async submit() {
        if (!this.data.formData.name.trim()) {
            toast('请输入姓名')
            return;
        }
        if (!isMobile(this.data.formData.phone)) {
            toast('请输入正确的手机号')
            return;
        }
        if (!this.data.formData.verify) {
            toast('请输入验证码')
            return;
        }
        if (!this.data.formData.idCard) {
            toast('请输入身份证号')
            return;
        }
        if (this.data.formData.perType == -1) {
            toast('请选择学员类别')
            return;
        }
        if (!this.data.formData.code.trim()) {
            let errMsg = this.data.errMsg;
            toast(errMsg || '请选择单位所在的行政区域')
            return;
        }
        await Api.register(this.data.formData, true);
        toast("注册成功")
        wx.navigateBack();
    },
})
