import {getEventParam} from "../../../../utils/utils";

Component({
    properties: {
        show: Boolean,
        advantageData: Array,
        advantageIds: String,
    },
    observers: {
        advantageIds: function (newV) {
            if (newV) {
                let values = newV.split(",");
                const arr = [];
                values.forEach(item => {
                    const text = this.data.advantageData.find(text => {
                        return text.dictValue == item;
                    })
                    if (text) {
                        arr.push(text.dictLabel);
                    }
                })
                this.setData({result: values, advantage: arr.join(",")})
            }
        }
    },
    data: {
        advantage: '',
        result: [],
    },
    methods: {
        close(e) {
            this.setData({
                show: false
            })
        },
        onChange(e) {
            let data = getEventParam(e);
            const arr = [];
            data.forEach(item => {
                const text = this.data.advantageData.find(text => {
                    return text.dictValue == item;
                })
                if (text) {
                    arr.push(text.dictLabel);
                }
            })
            this.setData({
                result: data, advantage: arr.join(",")
            })

            this.triggerEvent("change", {
                'formData.advantage': data.join(','),
            })
        },
        bindAdvantageChange() {
            this.setData({
                show: true,
            })
        },
        toggle(event) {
            const {index} = event.currentTarget.dataset;
            const checkbox = this.selectComponent(`.checkboxes-${index}`);
            checkbox.toggle();
        },
        noop() {
        }
    }
});
